Bug 246648 - dns/unbound 1.10.1 do not build with FILTER_AAAA option
Summary: dns/unbound 1.10.1 do not build with FILTER_AAAA option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-22 04:55 UTC by gja822
Modified: 2020-07-10 09:41 UTC (History)
2 users (show)

See Also:
jaap: maintainer-feedback+


Attachments
patch to fix problem (1.49 KB, patch)
2020-05-22 21:21 UTC, Jaap Akkerhuis
no flags Details | Diff
patch to fix problem (1.47 KB, patch)
2020-05-25 11:25 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff
patch to fix the problem (1.48 KB, patch)
2020-06-29 11:42 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gja822 2020-05-22 04:55:03 UTC
The error is:

--- iterator.lo ---
./iterator/iterator.c:2159:47: error: too few arguments to function call, expected 12, have 11
                INIT_REQUEST_STATE, FINISHED_STATE, &subq, 1)) {
                                                            ^
./iterator/iterator.c:679:1: note: 'generate_sub_request' declared here
static int
^
1 error generated.
*** [iterator.lo] Error code 1

make[2]: stopped in /usr/ports/dns/unbound/work/unbound-1.10.1
Comment 1 Jaap Akkerhuis 2020-05-22 09:45:22 UTC
This functionality is provided by a user contributed patch.

I've reported it to the upstream, see https://github.com/NLnetLabs/unbound/issues/239 and waiting for a reaction.
Comment 2 Jaap Akkerhuis 2020-05-22 21:21:27 UTC
Created attachment 214767 [details]
patch to fix problem

This is a patch which has been tested by me, see also https://github.com/NLnetLabs/unbound/issues/239.

I'm waiting for approval and testing ny them, but feel free to test.

        jaap
Comment 3 Jaap Akkerhuis 2020-05-25 11:25:52 UTC
Created attachment 214842 [details]
patch to fix problem

Version of fix with upstream blessings.
Comment 4 Jaap Akkerhuis 2020-06-29 11:42:44 UTC
Created attachment 216033 [details]
patch to fix the problem

The previous patch caused portlint to complain. This one stops that and ajusts the portrevision properly.
Comment 5 commit-hook freebsd_committer 2020-07-10 09:38:21 UTC
A commit references this bug:

Author: danfe
Date: Fri Jul 10 09:37:24 UTC 2020
New revision: 541850
URL: https://svnweb.freebsd.org/changeset/ports/541850

Log:
  Unbreak the build with FILTER_AAAA option.

  PR:	246648

Changes:
  head/dns/unbound/Makefile
Comment 6 Alexey Dokuchaev freebsd_committer 2020-07-10 09:41:03 UTC
sed(1) version of the fix committed as ports r541850, thanks.